1.2

1.2

get /v1/ports

Description

Get port list.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
Port Limit
Example :
any of [integer, null]None
querymarker
optional
Port Marker
Example :
any of [string, null]None
querysort
optional
Port Sort
Example :
any of [string, null]None
queryname
optional
Port Name
Example : portName
any of [string, null]None
querysubnet_id
optional
Subnet Id
Example : 023c57b14f11483689338d085e061492
any of [string, null]None
querysubnet_name
optional
Subnet Name
Example : subnetName
any of [string, null]None
queryid
optional
Port ID
Example : 023c57b1-4f11-4836-8933-8d085e061492
any of [string, null]None
queryattached_resource_id
optional
Connected resource ID
Example : 9387e8f51de04a03994de8a9c3524935
any of [string, null]None
queryfixed_ip_address
optional
Fixed IP
Example : 192.168.1.100
any of [string, null]None
querymac_address
optional
MAC Address
Example : fa:16:3e:00:00:01
any of [string, null]None
querystate
optional
State
Example :
any of [string, null]None
querysecurity_groups
optional
Security Group List
Example :
any of [string, null]None
queryattached_resource_types
optional
Attached Resource Type
Example :
any of [enum (VIRTUAL_SERVER, PRIVATELINKE, UNATTACHED), array[enum (VIRTUAL_SERVER, PRIVATELINKE, UNATTACHED)]]None

Responses

HTTP CodeDescriptionSchema
200OKPortListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/ports

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "ports": [
        {
            "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
            "attached_resource_id": "9387e8f51de04a03994de8a9c3524935",
            "attached_resource_type": "",
            "created_at": "2026-03-25T15:15:18.284Z",
            "description": "Port Description",
            "fixed_ip_address": "192.168.1.100",
            "id": "023c57b1-4f11-4836-8933-8d085e061492",
            "mac_address": "fa:16:3e:00:00:01",
            "modified_at": "2026-03-25T15:15:18.284Z",
            "name": "portName",
            "state": "",
            "subnet_id": "023c57b14f11483689338d085e061492",
            "subnet_name": "subnetName",
            "vpc_id": "071bc63b767444c9afaab1c972d302d5",
            "vpc_name": "vpcName"
        }
    ]
}